Imagick::setCompressionQuality
Imagick::setFirstIterator
Imagick
PHP Manual

# Imagick::setFilename

(PECL imagick 2.0.0)

Imagick::setFilename — Sets the filename before you read or write the image

### Description

bool Imagick::setFilename ( string `$filename` )

Sets the filename before you read or write an image file.

### Parameters

`filename`

### Return Values

Returns `TRUE` on success.

Imagick::setCompressionQuality
Imagick::setFirstIterator
Imagick
PHP Manual